Package: org.grails.gsp.jsp

## [Groovy] Class JspTagImpl

- org.grails.gsp.jsp.JspTagImpl

- All Implemented Interfaces and Traits:
    JspTag

      @groovy.transform.CompileStatic
      class JspTagImpl
      extends java.lang.Object

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static org.apache.commons.logging.Log` | `LOG`
    `boolean` | `body`
    `java.lang.ClassLoader` | `classLoader`
    `boolean` | `iteration`
    `java.lang.Class` | `tagClass`
    `java.lang.String` | `tagClassName`
    `boolean` | `tryCatchFinally`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JspTagImpl (java.lang.String tagClassName, java.lang.ClassLoader classLoader)`
    `JspTagImpl (java.lang.Class tagClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `checkInitialized()`
    `` | `protected javax.servlet.jsp.tagext.JspTag` | `createTagInstance()`
    `` | `void` | `doTag(java.io.Writer targetWriter, java.util.Map<java.lang.String, java.lang.Object> attributes)`
    `` | `void` | `doTag(java.io.Writer targetWriter, java.util.Map<java.lang.String, java.lang.Object> attributes, groovy.lang.Closure<?> body)`
    `` | `protected java.lang.Object` | `handleSimpleTag(javax.servlet.jsp.tagext.SimpleTag tag, java.util.Map attributes, GroovyPagesPageContext pageContext, java.io.Writer targetWriter, groovy.lang.Closure body)`
    `` | `boolean` | `isBodyTag()`
    `` | `boolean` | `isIterationTag()`
    `` | `boolean` | `isTryCatchFinallyTag()`
    `` | `void` | `withJspWriterDelegate(GroovyPagesPageContext pageContext, java.io.Writer delegate, groovy.lang.Closure callable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static final org.apache.commons.logging.Log LOG

    - #### boolean body

    - #### java.lang.ClassLoader classLoader

    - #### boolean iteration

    - #### java.lang.Class tagClass

    - #### java.lang.String tagClassName

    - #### boolean tryCatchFinally

  - ### Constructor Detail

    - #### JspTagImpl(java.lang.String tagClassName, java.lang.ClassLoader classLoader)

    - #### JspTagImpl(java.lang.Class tagClass)

  - ### Method Detail

    - #### protected void checkInitialized()

    - #### protected javax.servlet.jsp.tagext.JspTag createTagInstance()

    - #### void doTag(java.io.Writer targetWriter, java.util.Map<java.lang.String, java.lang.Object> attributes)

    - #### void doTag(java.io.Writer targetWriter, java.util.Map<java.lang.String, java.lang.Object> attributes, groovy.lang.Closure<?> body)

    - #### protected java.lang.Object handleSimpleTag(javax.servlet.jsp.tagext.SimpleTag tag, java.util.Map attributes, GroovyPagesPageContext pageContext, java.io.Writer targetWriter, groovy.lang.Closure body)

    - #### boolean isBodyTag()

    - #### boolean isIterationTag()

    - #### boolean isTryCatchFinallyTag()

    - #### void withJspWriterDelegate(GroovyPagesPageContext pageContext, java.io.Writer delegate, groovy.lang.Closure callable)